import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:grpc/grpc_web.dart';
import 'package:protobuf/well_known_types/google/protobuf/empty.pb.dart';
import 'package:softplayer_dart_proto/accounts/v1/accounts_v1.pbgrpc.dart';
import 'package:softplayer_web/core/grpc/grpc_client.dart';

final accountsGrpcProvider = Provider<AccountsGrpcRepository>((ref) {
  return AccountsGrpcRepository(ref.watch(accountsServiceClientProvider));
});

class AccountsGrpcRepository {
  AccountsGrpcRepository(this._client);
  final AccountsServiceClient _client;
}
